{
  "inbounds": [
    {
      "tag": "proxy",
      "protocol": "socks",
      "listen": "0.0.0.0",
      "port": 1234,
      "settings": {
        "auth": "noauth",
        "udp": true,
        "ip": "127.0.0.1",
        "userLevel": 0
      }
    },
    {
      "protocol": "socks",
      "tag": "cloudflare",
      "listen": "0.0.0.0",
      "port": 1235,
      "settings": {
        "auth": "noauth",
        "udp": true,
        "userLevel": 0
      }
    }
  ],
  "outbounds": [
    {
      "tag": "cloudflare",
      "protocol": "socks",
      "settings": {
        "servers": [
          {
            "address": "127.0.0.1",
            "port": 40000,
            "level": 0
          }
        ]
      },
      "streamSettings": {
        "network": "tcp"
      },
      "mux": {
        "enabled": false,
        "concurrency": -1
      }
    },
    {
      "tag": "proxy",
      "protocol": "freedom"
    }
  ],
  "routing": {
    "domainStrategy": "IPIfNonMatch",
    "rules": [
      {
        "type": "field",
        "inboundTag": [
          "cloudflare"
        ],
        "outboundTag": "cloudflare"
      },
      {
        "type": "field",
        "inboundTag": [
          "proxy"
        ],
        "outboundTag": "proxy"
      }
    ]
  }
}

